﻿@model I3Teck.AndonAlarm.Collection.PagedList<I3Teck.AndonAlarm.Dto.AndonAlertReportDto>

@{
    Layout = null;
}
<table class="table m-table m-table--head-separator-tegra display compact text-center">
    <thead>
    <tr>
        <th>Production Line</th>
        <th>Alert Type</th>
        <th>Created By User</th>
        <th>Comment</th>
        <th>Alert Time</th>
        <th>From</th>
        <th>To</th>
        <th>Deleted By User</th>

    </tr>
    </thead>
    <tbody>
    @foreach (var detail in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => detail.Line)
            </td>
            <td>
                @if (detail.AlertType == "1")
                {
                    @Html.Raw("Alerted")
                    ;
                }
                else if (detail.AlertType == "2")
                {
                    @Html.Raw("Warning")
                    ;
                }
                else if (detail.AlertType == "3")
                {
                    @Html.Raw("Workless")
                    ;
                }
            </td>
            <td>
                @Html.DisplayFor(modelItem => detail.CreatedBy)
            </td>
            <td>
                @if (!string.IsNullOrEmpty(detail.Comment))
                {
                    @Html.DisplayFor(modelItem => detail.Comment)
                }
                else
                {
                    @Html.Raw("-")
                    ;
                }
            </td>
            <td>
                @Html.DisplayFor(modelItem => detail.AlertedTime)
            </td>
            <td>
                @Html.DisplayFor(modelItem => detail.CreatedAt)
            </td>
            <td>
                @if (detail.DeletedAt.HasValue)
                {
                    @Html.DisplayFor(modelItem => detail.DeletedAt)
                }
                else
                {
                    @Html.Raw("Actually Alerted")
                    ;
                }
            </td>
            <td>
                @if (!string.IsNullOrEmpty(detail.DeletedBy))
                {
                    @Html.DisplayFor(modelItem => detail.DeletedBy)
                }
                else
                {
                    @Html.Raw("Actually Alerted");
                }
            </td>
        </tr>
    }
    </tbody>
</table>

<pager asp-for="Model"></pager>